Gracias Gracias:  0
Me Gusta Me Gusta:  0
No me Gusta No me Gusta:  0
Mostrando resultados del 1 al 8 de 8

Tema: Al instalar paquete, error de no creación repo temporal

  1. #1
    Fecha de Ingreso
    07-agosto-2014
    Mensajes
    149
    Post Thanks / Like
    Poder de Credibilidad
    6

    Al instalar paquete, error de no creación repo temporal

    Estoy instalando un programa el cuál requiere de unas librerias/paquetes para su instalación.

    Me voy al buscador de opensuse, lo descargo (el rpm) y al ir a instalarlo me dice:
    No es posible copiar el paquete al repositorio temporal.
    Lo indica 2 veces y luego:
    El paquete no ha sido hallado en el medio (también 2 veces).

    Al final, me toca con 1click (cosa que no quiero), pero en el portátil, lo pude instalar, y no me dió ese error...

    He buscado info, pero, o no he sabido buscar o no encontré...

    Sabéis a que puede deberse?

    Saludos!
    Última edición por Wonder; 30-nov-2017 a las 12:09

  2. #2
    Fecha de Ingreso
    19-marzo-2005
    Ubicación
    En un lugar del planeta Tierra
    Mensajes
    17.373
    Post Thanks / Like
    Poder de Credibilidad
    10
    Descargar archivos rpm para luego instarlo es muy mala política para el comando zypper. Te seria mejor tener una carpeta, asignarlo como repositorio local y ahí meter tus rpm, eso es lo que hacia cuando instalaba OpenOffice o LibreOffice que es muy complicado instalarlo desde el código fuente. La otra alternativa es instalarlo con el comando rpm.

    No se que programa estas instalado, pero no seria mejor que añadas el repo y lo instales desde ahí. Esa es la política que suelo hacer cuando no lo instalo desde el código fuente (la mejor). El comando zypper ha mejorado mucho últimamente que ya se puede hacer eso sin problema, pero te cuidado que hay aplicaciones en varios repositorios y te puede volver loco y a tu openSUSE.
    NORMAS A CUMPLIR EN LOS FOROS (Lectura obligatoria) Lo siento, no contesto privados sobre problemas con GNU/Linux.
    Síguenos en TWITTER y en FACEBOOK
    Código:
    Buscador de   Alojamiento      Alojamiento     Otros
     paquetes:    de imágenes:     de ficheros:    buscadores:
    Search        TinyPic          Ifile Wuala     Simple y Facil
    Webpinstant   Paste Suse       SendSpace       TextSnip  Cl1p

  3. #3
    Fecha de Ingreso
    07-agosto-2014
    Mensajes
    149
    Post Thanks / Like
    Poder de Credibilidad
    6
    Gracias DR, lo cierto es que, en tu respuesta, hay opciones que desconocía..., voy a ello

    Cita Iniciado por DiabloRojo Ver Mensaje
    Descargar archivos rpm para luego instarlo es muy mala política para el comando zypper.
    Pensaba que justo lo contrario, que era mejor bajarse el rpm a instalarlos por 1ckick...

    Te seria mejor tener una carpeta, asignarlo como repositorio local y ahí meter tus rpm, eso es lo que hacia cuando instalaba OpenOffice o LibreOffice que es muy complicado instalarlo desde el código fuente.
    Pues...creo que era eso lo que me estaba pidiendo (completamente nuevo para mi).
    El rpm, entiendo yo, como no código fuente, pero podría ser...
    Lo de tener una carpeta, asignarlo como repositorio local y ahí meter mis rpm...desconocía que pudiese hacerse eso...si que me pedía algo parecido, pero en mi desconocimiento y la no localización de info a través de los distintos canales habituales por internet (quizás no, seguro, no busqué bien) me hizo no saber a que se referia.
    Tras leer esto, he ido añadir repo, veo que puedo añadir carpeta local, entonces el modo sería, añadir una carpeta local de mi pc como repo, insertar ahí el rpm e instalarlo desde ahí? Si es así, es esto lo que me estaba pidiendo...

    La otra alternativa es instalarlo con el comando rpm.
    Jo....otra más que desconocía...con comando rpm...en esto, que diferencia hay a hacerlo a través del instalador?

    No se que programa estas instalado, pero no seria mejor que añadas el repo y lo instales desde ahí. Esa es la política que suelo hacer cuando no lo instalo desde el código fuente (la mejor). El comando zypper ha mejorado mucho últimamente que ya se puede hacer eso sin problema, pero te cuidado que hay aplicaciones en varios repositorios y te puede volver loco y a tu openSUSE.
    Si tú me aconsejas hacerlo de ese modo, añadir repo local y ponerlo ahí, eso haré a partir de ahora, como comentaba, no sabía de esta opción...así lo haré.

    Gracias!

  4. #4
    Fecha de Ingreso
    19-marzo-2005
    Ubicación
    En un lugar del planeta Tierra
    Mensajes
    17.373
    Post Thanks / Like
    Poder de Credibilidad
    10
    Cita Iniciado por Wonder Ver Mensaje
    Jo....otra más que desconocía...con comando rpm...en esto, que diferencia hay a hacerlo a través del instalador?


    Si tú me aconsejas hacerlo de ese modo, añadir repo local y ponerlo ahí, eso haré a partir de ahora, como comentaba, no sabía de esta opción...así lo haré.
    El comando rpm es el comando original (muy antiguo) para instalar archivos rpm, con el puedes instalar como el zypper (muy moderno) pero sin sus restricciones.

    Lo que te aconsejo es tranquilidad, llevas una racha que prácticamente estas instalado a mansalva, ¿tienes la enfermedad llamada versionitis? . Tranquilidad y un poco de investigación te ira bien, usa el comando zypper para buscar la aplicación en los repositorios que tengas añadidos, si no lo encuentras, busca en el buscador de paquetes de openSUSE y añade el repo para instalarlo y olvídate de 1-Click, es la mejor política para los novatos.

    Porque instalar desde el código fuente te viene muy grande, aunque es muy sencillo con un poco de practica y casi nunca da problemas por lo cual es gratificante.

    PD: Lo de repositorio local, estaría bien si no lo encuentras en openSUSE y el desarrollador de la aplicación tiene un rpm para instalar, eso esta bien para los novatos.
    Última edición por DiabloRojo; 30-nov-2017 a las 21:59
    NORMAS A CUMPLIR EN LOS FOROS (Lectura obligatoria) Lo siento, no contesto privados sobre problemas con GNU/Linux.
    Síguenos en TWITTER y en FACEBOOK
    Código:
    Buscador de   Alojamiento      Alojamiento     Otros
     paquetes:    de imágenes:     de ficheros:    buscadores:
    Search        TinyPic          Ifile Wuala     Simple y Facil
    Webpinstant   Paste Suse       SendSpace       TextSnip  Cl1p

  5. #5
    Fecha de Ingreso
    07-agosto-2014
    Mensajes
    149
    Post Thanks / Like
    Poder de Credibilidad
    6
    Cita Iniciado por DiabloRojo Ver Mensaje
    Lo que te aconsejo es tranquilidad, llevas una racha que prácticamente estas instalado a mansalva, ¿tienes la enfermedad llamada versionitis? .
    Más que versionitis, conceptos nuevos para mi, maneras de hacer distintas a las habituales en mi, no pensé que el cambio de deb a rpm notase tanto...
    Tranquilidad y un poco de investigación te ira bien, usa el comando zypper para buscar la aplicación en los repositorios que tengas añadidos, si no lo encuentras, busca en el buscador de paquetes de openSUSE y añade el repo para instalarlo y olvídate de 1-Click, es la mejor política para los novatos.
    Lo hice así, buscando en el buscador de paquetes de opensuse, me dió el paquete para descargarlo o el 1click. Descargué el paquete, no se instaló por este error que comento de inicio. No era el fuente, era un rpm convencional y me dio este error/mensaje.
    Como "novato", fue como procedí.

    PD: Lo de repositorio local, estaría bien si no lo encuentras en openSUSE y el desarrollador de la aplicación tiene un rpm para instalar, eso esta bien para los novatos.
    Eso fue, lo encontre en opensuse (buscador de paquetes de opensuse), el rpm lo descargué del buscador de opensuse, y me dio el error mencionado al inicio.

    Para un "novato" como yo, haré eso.

    PD: Dicho ello, hubiese visto más correcto algo del tipo: iniciado en opensuse o algún similar...
    Última edición por Wonder; 30-nov-2017 a las 22:21

  6. #6
    Fecha de Ingreso
    19-marzo-2005
    Ubicación
    En un lugar del planeta Tierra
    Mensajes
    17.373
    Post Thanks / Like
    Poder de Credibilidad
    10
    Cita Iniciado por Wonder Ver Mensaje
    Lo hice así, buscando en el buscador de paquetes de opensuse, me dió el paquete para descargarlo o el 1click. Descargué el paquete, no se instaló por este error que comento de inicio. No era el fuente, era un rpm convencional y me dio este error/mensaje.
    Como "novato", fue como procedí.
    Veras me da la impresion que no me has entendido. Descargar el paquete (archivo rpm) desde el buscador de paquetes de openSUSE para instalarlo manualmente es absurdo porque cada paquete es un mundo y tiene unas dependencias que arrastra que se debe instalar junto con el paquete. Por ejemplo, quieres instalar la aplicacion pepito que necesita unas librerías llamadas libreriauna y libreriados, si te descargas el archivo pepito.rpm y lo instalas manualmente, no te va a funcionar porque necesita libreriauna y libreriados para que funcione, ¿las has descargadocomo archivos rpm?, pues no.

    Si lo haces por el método de 1-Click y desmarcas la casilla "Mantener..." se instalara sin problemas.
    Lo que yo te comentaba, es que copiaras el enlace de la descarga y lo añadieras como repositorio. Mira este ejemplo:

    Quiero instalar calibre: https://software.opensuse.org/package/calibre Hago clic en "Mostrar otras opciones", me voy a Leap 42.3, clic en el texto "Mostar paquetes inestables", acepto el Warning "Aviso", me fijo a la izquierda los repositorios, sabiendo que los que empieza por home: son particulares de los usuarios, y me fijo en las versiones y selecciono el enlace de descarga de 64 bits del repositorio OFICIAL "Documentation:tools" porque me interesa la ultima versión.
    https://download.opensuse.org/repositories/Documentation:/Tools/openSUSE_Leap_42.3/x86_64/calibre-3.12.0-416.1.x86_64.rpm
    Selecciono lo marcado en negrita, copio y lo pego en mi Firefox y veo que hay un archivo con extensión .repo "Documentation:Tools.repo" que es la información del repositorio. Me voy a Yast y añado ese enlace como repositorio e instalo el paquete calibre. CERO problemas y ademas tengo ese repositorio por si surge una actualización de calibre.

    No se si me has entendido.
    NORMAS A CUMPLIR EN LOS FOROS (Lectura obligatoria) Lo siento, no contesto privados sobre problemas con GNU/Linux.
    Síguenos en TWITTER y en FACEBOOK
    Código:
    Buscador de   Alojamiento      Alojamiento     Otros
     paquetes:    de imágenes:     de ficheros:    buscadores:
    Search        TinyPic          Ifile Wuala     Simple y Facil
    Webpinstant   Paste Suse       SendSpace       TextSnip  Cl1p

  7. #7
    Fecha de Ingreso
    02-marzo-2013
    Ubicación
    Lat. 27.994547-Lon -15.405127-160m nivel del mar
    Mensajes
    4.905
    Post Thanks / Like
    Poder de Credibilidad
    11
    Hola:

    A veces el click le viene haciendo lo mismo, si no añade el repo (le da error y no le deja instalar, idem lo mismo se baja el rpm y al querer instalarlo, le puede dar error,por no tener añadido el repo) .

    O sea hacerlo por la url, ftp, etc y por medio de yast, viene siendo casi lo mismo que el click, que abre la aplicación de yast, añade el repo e instala el programa, el copiar la url y verificar esta en el navegador, te asegura que cuando lo añadas en yast repositorios, no te va a dar error.

    También algunos lo hacen así para que confirmes la confianza en el mismo, ademas para colmo,algunos lo instala en /opt (me parece normal) ; pero se olvidan de crear el enlace simbólico a /usr en las aplicaciones y después no le aparece en el lanzador de aplicaciones de usuario.

    Código:
    Z-87-DELUXE:~ # dir /opt
    total 0
    drwxr-xr-x 1 root root 16 Jan 27  2016 brother
    drwxr-xr-x 1 root root 64 Dec  1 13:59 eagle-6.5.0
    Esos 2 no aparecen en el sistema( para el 1º si asocia los drivers, para el 2º aún estoy averiguando como ejecutarlo "programa de diseño de esquemas y circuitos impresos,la versión freeware" ) .

    Si tiene programa.desktop, con copiar uno a /usr lo crea, si no creo que hay que usar el binario o ejecutar de consola .

    Sobre lo de añadir el repo, es lo que he observado últimamente desde hace un tiempo, antes se que lo hacía y no era necesario y no daba error al ejecutar el rpm ( de todas formas el repo añadido, lo des-activo y le quito las auto actualizaciones) .

    Saludos cordiales.

  8. #8
    Fecha de Ingreso
    07-agosto-2014
    Mensajes
    149
    Post Thanks / Like
    Poder de Credibilidad
    6
    Cita Iniciado por DiabloRojo Ver Mensaje
    Veras me da la impresion que no me has entendido. Descargar el paquete (archivo rpm) desde el buscador de paquetes de openSUSE para instalarlo manualmente es absurdo porque cada paquete es un mundo y tiene unas dependencias que arrastra que se debe instalar junto con el paquete. Por ejemplo, quieres instalar la aplicacion pepito que necesita unas librerías llamadas libreriauna y libreriados, si te descargas el archivo pepito.rpm y lo instalas manualmente, no te va a funcionar porque necesita libreriauna y libreriados para que funcione, ¿las has descargadocomo archivos rpm?, pues no.

    Si lo haces por el método de 1-Click y desmarcas la casilla "Mantener..." se instalara sin problemas.
    Lo que yo te comentaba, es que copiaras el enlace de la descarga y lo añadieras como repositorio. Mira este ejemplo:

    Quiero instalar calibre: https://software.opensuse.org/package/calibre Hago clic en "Mostrar otras opciones", me voy a Leap 42.3, clic en el texto "Mostar paquetes inestables", acepto el Warning "Aviso", me fijo a la izquierda los repositorios, sabiendo que los que empieza por home: son particulares de los usuarios, y me fijo en las versiones y selecciono el enlace de descarga de 64 bits del repositorio OFICIAL "Documentation:tools" porque me interesa la ultima versión.

    Selecciono lo marcado en negrita, copio y lo pego en mi Firefox y veo que hay un archivo con extensión .repo "Documentation:Tools.repo" que es la información del repositorio. Me voy a Yast y añado ese enlace como repositorio e instalo el paquete calibre. CERO problemas y ademas tengo ese repositorio por si surge una actualización de calibre.

    No se si me has entendido.
    Si, entendí lo que me comentas en este post, pero, es distinto de lo que me comentaste en el anterior:
    Cita Iniciado por DiabloRojo Ver Mensaje
    ...Te seria mejor tener una carpeta, asignarlo como repositorio local y ahí meter tus rpm, eso es lo que hacia cuando instalaba OpenOffice o LibreOffice que es muy complicado instalarlo desde el código fuente...
    Veo que son dos opciones distintas, una, carpeta y asignarlo como repo local, la otra, es...otra.
    Pero si, gracias, la entendí.
    Cita Iniciado por mikrios Ver Mensaje
    Hola:

    A veces el click le viene haciendo lo mismo, si no añade el repo (le da error y no le deja instalar, idem lo mismo se baja el rpm y al querer instalarlo, le puede dar error,por no tener añadido el repo) .

    O sea hacerlo por la url, ftp, etc y por medio de yast, viene siendo casi lo mismo que el click, que abre la aplicación de yast, añade el repo e instala el programa, el copiar la url y verificar esta en el navegador, te asegura que cuando lo añadas en yast repositorios, no te va a dar error.
    Eso fue, no por clic, pero por rpm, me dió error, y me dió esa impresión, o añadia repo o "naranjitas"...
    Gracias por la aclaración.

    Saludos.

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Temas Similares

  1. Congelamientos
    By Krovikan in forum General OpenSUSE
    Respuestas: 173
    Último mensaje: 25-sep-2018, 18:45
  2. Amarok no reproduce mp3...
    By Germanlokura in forum Multimedia
    Respuestas: 6
    Último mensaje: 22-jul-2017, 21:17
  3. security update for ppp
    By jjers in forum Instalación y Actualizaciones
    Respuestas: 11
    Último mensaje: 02-dic-2015, 23:57
  4. Problemas con la actualización de OpenSuse 10.3
    By gery in forum Instalación y Actualizaciones
    Respuestas: 18
    Último mensaje: 28-oct-2007, 17:43
  5. instalar paquete gcc
    By birraboy in forum Software
    Respuestas: 10
    Último mensaje: 25-ene-2006, 20:46

Marcadores

Normas de Publicación

  • No puedes crear nuevos temas
  • No puedes responder mensajes
  • No puedes subir archivos adjuntos
  • No puedes editar tus mensajes
  •